# Generated from direct_inject-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name direct_inject

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Sprockets/Rails helpers for directly injecting assets onto the page
License: MIT
URL: https://github.com/cookrn/direct_inject
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(coffee-script)
# BuildRequires: rubygem(nokogiri)
# BuildRequires: rubygem(rails) >= 3.1
# BuildRequires: rubygem(sprockets) >= 2.12
# BuildRequires: rubygem(sprockets) < 3
BuildArch: noarch

%description
Sprockets/Rails helpers for directly injecting assets onto the page as an
alternative to linking/sourcing an asset by URL.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/direct_inject.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.0-1
- Initial package
